Bug 998332 - RFE: Disabling a user should be more prominent than deleting them
RFE: Disabling a user should be more prominent than deleting them
Status: CLOSED UPSTREAM
Product: Zanata
Classification: Community
Component: Usability (Show other bugs)
3.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Luke Brooker
Zanata-QA Mailling List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-19 00:59 EDT by Damian Jansen
Modified: 2016-04-18 05:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-30 21:19:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Damian Jansen 2013-08-19 00:59:59 EDT
Description of problem:
Deleting a user appears to be a "last resort" or a clean-up step for users creating fake/useless accounts.
Disabling a user appears to be safer, and retains their history.
The Delete button on the user administration page should be hidden inside the user record, where the Enabled checkbox is.
The Enabled checkbox could be moved out to the user list as a toggle button.

Version-Release number of selected component (if applicable):
3.0

How reproducible:
Easy always

Steps to Reproduce:
1. Login as admin
2. Go to $server/zanata/admin/usermanager
  - Delete is here, but is an edge case
3. Select a user (Edit button)

Actual results:
Checkbox to enable / disable is here

Expected results:
The Delete edge case should be in the user edit, not the Dis/Enable case

Additional info:
Comment 1 Zanata Migrator 2015-07-30 21:19:55 EDT
Migrated; check JIRA for bug status: http://zanata.atlassian.net/browse/ZNTA-433

Note You need to log in before you can comment on or make changes to this bug.